<template>


    <div class="tab-pane fade show active" id="nav-all" role="tabpanel" aria-labelledby="nav-all-tab">
        <div class="d-flex align-items-center cg-notify-tab-item"  v-if="!isEmpty" v-for="follower in followers_">
            <div><img :src="follower.user_profile.image_path" class="img-fluid cg-message-nav-icon" :alt="follower.name"></div>
            <div class="mr-auto"><h4 class="font1 cg-notify-name"><span class="w600"> <a :href="follower.profile_url"> {{ follower.name }} </a> </span> </h4></div>
        </div>

        <div class="cg-empty-wrap" v-if="isEmpty">
            <div class="cg-empty-content-wrap text-center add-btm-mdm">
                <img src="/images/no-items.svg" alt="creativegoods" class="img-ﬂuid width-30">
                <h4 class="font1 grey f18 w500 pad-top-mdm pad-btm-xsml">You don't have any followers yet.</h4>

            </div>
        </div>

        <!-- Load More button -->
        <div class="notification-load-btn text-center add-top-mdm">
            <NotificationPagination v-if="pagination.last_page > 1" :pagination="pagination" :offset="5" @paginate="fetchMyFollowers()" ></NotificationPagination>

        </div>
    </div>
</template>
<script>
    import NotificationPagination from '../components/NotificationPagination'
    import Preloader from '../components/Preloader.vue'
    export default {
        props: ['user'],

        data(){
            return{
                user_:this.user,
                followers_:[],
                isEmpty:false,
                pagination: {
                    'current_page': 1
                },
            }

        },
        components:{
            NotificationPagination,
        },
        methods: {
            fetchMyFollowers() {

                axios.get('/get_my_followers?page=' + this.pagination.current_page)
                    .then(response => {
                        let followers_array = response.data.data.data;
                        for( let i = 0; i < followers_array.length; i++ ){
                            this.followers_.push(followers_array[i])
                        }
                        this.pagination = response.data.pagination;
                        if(this.followers_.length ){
                            this.isEmpty=false;
                        }else{
                            this.isEmpty=true;
                        }
                    })
                    .catch(error => {
                        console.log(error.response.data);
                    });
            },
            preLoad: function() {
                // just open
                const close = this.$preloaders.open({
                    container: ".tab-pane",
                    component:Preloader,
                    "overlayStyle": {
                        "backgroundColor": "#fff",
                        "opacity": .9,
                    }
                });

                // and close. That's it.
                setTimeout(close, 1500);
            }
        },

        mounted(){
            this.fetchMyFollowers();
            this.preLoad();
        },
        beforeCreate() {
            this.isEmpty=false;
        }
    }

</script>

